Project

General

Profile

Bug #11671

Darktable crashes with SIGBUS

Added by Samathy Barratt almost 2 years ago. Updated almost 2 years ago.

Status:
Closed: upstream
Priority:
Low
Assignee:
-
Category:
Darkroom
Target version:
Start date:
07/12/2017
Due date:
% Done:

0%

Affected Version:
2.2.5
System:
other GNU/Linux
bitness:
64-bit
hardware architecture:
amd64/x86

Description

I recently updated my Arch Linux machines and have encountered the following issue with Darktable.

When loading a folder into the darkroom display (Collect Images->Folders [dropdown]-> select folder) DarkTable will load some images and then crash with no error message other than 'SIGBUS: Misaligned address'

I ran DarkTable with GDB and saw the attached stack trace upon crash.

I tried downgrading DarkTable from version 2.2.5-1 version 2.2.4-2 but the same problem occurs.
I also downgraded Exiv2 to the previous version available on Arch Linux, but that also had no effect.

darktable-exiv-error.png - Stack trace upon SIGBUS being triggered (17.3 KB) Samathy Barratt, 07/12/2017 08:29 PM

History

#1 Updated by Roman Lebedev almost 2 years ago

  • Status changed from New to Closed: upstream

Samathy Barratt wrote:

I recently updated my Arch Linux machines and have encountered the following issue with Darktable.

When loading a folder into the darkroom display (Collect Images->Folders [dropdown]-> select folder)

DarkTable

the only correct variant is "darktable".

will load some images and then crash with no error message other than 'SIGBUS: Misaligned address'

I ran DarkTable with GDB and saw the attached stack trace upon crash.

I tried downgrading DarkTable from version 2.2.5-1 version 2.2.4-2 but the same problem occurs.
I also downgraded Exiv2 to the previous version available on Arch Linux, but that also had no effect.

The backtrace suggests that the problem is within the exiv2 library, so perhaps report it to http://dev.exiv2.org/projects/exiv2/issues
Perhaps the file is corrupt?

#2 Updated by Roman Lebedev almost 2 years ago

  • Target version set to 2.4.0

Also available in: Atom PDF